# node-poweredup Class: MoveHubMediumLinearMotor

# Class: MoveHubMediumLinearMotor

## MoveHubMediumLinearMotor

#### new MoveHubMediumLinearMotor()

  Source:
    - devices/movehubmediumlinearmotor.js, line 25

### Extends

- TachoMotor

### Methods

#### rotateByDegrees(degrees [, speed])

  Rotate a motor by a given amount of degrees.

  ##### Parameters:

  Name | Type | Argument | Default | Description
  --- | --- | --- | --- | ---
  `degrees` | number |  |  | How much the motor should be rotated (in degrees).
  `speed` | number | <optional> | 100 | For forward, a value between 1 - 100 should be set. For reverse, a value between -1 to -100.

  Inherited From:
    - TachoMotor#rotateByDegrees
  Source:
    - devices/tachomotor.js, line 139

  ##### Returns:

  Resolved upon successful completion of command (ie. once the motor is finished).

  Type
    Promise

#### setAccelerationTime(time)

  Set the global acceleration time

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `time` | number | How long acceleration should last (in milliseconds).

  Inherited From:
    - TachoMotor#setAccelerationTime
  Source:
    - devices/tachomotor.js, line 73

  ##### Returns:

  Resolved upon successful completion of command (ie. once the motor is finished).

  Type
    Promise

#### setBrakingStyle(style)

  Set the braking style of the motor.

  Note: This applies to setSpeed, rotateByDegrees, and gotoAngle.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `style` | number | Either BRAKE or HOLD

  Inherited From:
    - TachoMotor#setBrakingStyle
  Source:
    - devices/tachomotor.js, line 53

#### setDecelerationTime(time)

  Set the global deceleration time

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `time` | number | How long deceleration should last (in milliseconds).

  Inherited From:
    - TachoMotor#setDecelerationTime
  Source:
    - devices/tachomotor.js, line 84

  ##### Returns:

  Resolved upon successful completion of command (ie. once the motor is finished).

  Type
    Promise

#### setMaxPower(style)

  Set the max power of the motor.

  Note: This applies to setSpeed, rotateByDegrees, and gotoAngle.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `style` | number | Either BRAKE or HOLD

  Inherited From:
    - TachoMotor#setMaxPower
  Source:
    - devices/tachomotor.js, line 63

#### setSpeed(speed, time)

  Set the motor speed.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `speed` | number | For forward, a value between 1 - 100 should be set. For reverse, a value between -1 to -100. Stop is 0.
  `time` | number | How long the motor should run for (in milliseconds).

  Inherited From:
    - TachoMotor#setSpeed
  Source:
    - devices/tachomotor.js, line 95

  ##### Returns:

  Resolved upon successful issuance of the command.

  Type
    Promise

### Events

#### rotate

  Emits when a rotation sensor is activated.

  ##### Type: object

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `rotation` | number |

  Inherited From:
    - TachoMotor#event:rotate
  Source:
    - devices/tachomotor.js, line 43

#### Search results